package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.ExportsSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ExportsSearchServiceSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.exportsSearch.search();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/search/systemlog/exports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [
{
"exportId": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/search/systemlog/exports"
payload = {
"displayName": "<string>",
"pageSize": 123,
"pageToken": "<string>",
"query": "<string>",
"refs": [{ "exportId": "<string>" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
displayName: '<string>',
pageSize: 123,
pageToken: '<string>',
query: '<string>',
refs: [{exportId: '<string>'}]
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/search/systemlog/exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"createdAt": "2023-11-07T05:31:56Z",
"datasource": {
"datasourceId": "<string>",
"prefix": "<string>"
},
"deletedAt": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"exportId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"watermarkEventId": "<string>"
}
],
"nextPageToken": "<string>"
}Search
Search for system log exports matching the specified filters.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.ExportsSearch.Search(ctx, nil)
if err != nil {
log.Fatal(err)
}
if res.ExportsSearchServiceSearchResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.exportsSearch.search();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
ExportsSearchServiceSearchRequest is the request for searching system log exports.
Search for system log exporters with a case insensitive match on the display name.
The pageSize field.
The pageToken field.
The query field.
The refs field.
Show child attributes
Show child attributes
Response
ExportsSearchServiceSearchResponse is the response for searching system log exports.
ExportsSearchServiceSearchResponse is the response for searching system log exports.
Was this page helpful?